> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse the WhatsApp template library

> Browse Meta's pre-approved template library (read through a Redis cache).



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/templates/library
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/templates/library:
    get:
      tags:
        - Orgs Connections
      summary: Browse the WhatsApp template library
      description: >-
        Browse Meta's pre-approved template library (read through a Redis
        cache).
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          name: language
          in: query
        - schema:
            type: string
          required: false
          name: category
          in: query
        - schema:
            type: string
          required: false
          name: topic
          in: query
        - schema:
            type: string
          required: false
          name: usecase
          in: query
        - schema:
            type: string
          required: false
          name: industry
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WhatsAppTemplateLibraryEntrySchema'
components:
  schemas:
    WhatsAppTemplateLibraryEntrySchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        language:
          type: string
        category:
          type: string
        topic:
          type: string
        usecase:
          type: string
        industry:
          type: array
          items:
            type: string
        header:
          type: string
        body:
          type: string
        body_params:
          type: array
          items:
            type: string
        body_param_types:
          type: array
          items:
            type: string
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateButtonSchema'
      required:
        - id
        - name
        - language
        - category
    WhatsAppTemplateButtonSchema:
      type: object
      properties:
        type:
          type: string
        text:
          type: string
        url:
          type: string
        phone_number:
          type: string
        example:
          type: array
          items:
            type: string
        otp_type:
          type: string
        autofill_text:
          type: string
        zero_tap_terms_accepted:
          type: boolean
        supported_apps:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppTemplateSupportedAppSchema'
        flow_id:
          type: string
        flow_name:
          type: string
        flow_action:
          type: string
        navigate_screen:
          type: string
      required:
        - type
    WhatsAppTemplateSupportedAppSchema:
      type: object
      properties:
        package_name:
          type: string
        signature_hash:
          type: string
      required:
        - package_name
        - signature_hash
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````